This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 511148 - Review Request: matahari - qmf agent for host management
Review Request: matahari - qmf agent for host management
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
:
: 512748 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-13 17:44 EDT by Arjun Roy
Modified: 2013-04-30 19:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 11:21:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lutter: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Arjun Roy 2009-07-13 17:44:13 EDT
Spec URL: http://arjunroy.fedorapeople.org/matahari.spec
SRPM URL: http://arjunroy.fedorapeople.org/matahari-0.0.4-3.fc11.src.rpm

Description: matahari provides a QMF Agent that can be used to control and manage various pieces of functionality for a host system, using the AMQP protocol.

While this is intended to be used for node management for ovirt (http://ovirt.org) the functionality isn't specific to ovirt, and so it has been moved to a separate project.

This is my first package and I will need a sponsor.
Comment 1 Arjun Roy 2009-07-13 17:46:32 EDT
So far, it seems to build on koji just fine:
https://koji.fedoraproject.org/koji/taskinfo?taskID=1472018

I've verified it works on x86_64, but haven't tried it on other architectures yet. rpmlint doesn't give any errors or warnings for either the src rpm or the built rpm, and there are only two gcc warnings that I have verified are not an issue.

Additional notes: This package is used by ovirt.
Comment 2 Jason Tibbitts 2009-07-13 17:54:22 EDT
Please read through http://fedoraproject.org/wiki/PackageMaintainers/Join if you haven't already.
Comment 3 David Lutterkort 2009-07-15 19:23:02 EDT
  OK - Package name
  OK - License info is accurate
  OK - License tag is correct and licenses are approved
  OK - License files are installed as %doc
  OK - Specfile name
  OK - Specfile is legible
  OK - No prebuilt binaries included

  FIX- BuildRoot value (one of the recommended values)
       See https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

  OK - PreReq not used
  FIX- Source md5sum matches upstream
       No upstream release - consider setting up a simple webpage and a
       tarball (e.g., on fedorahosted); at the very minimum, tag the release
       in git. Once you have that URL should point to that released tarball,
       not git. If you don't do that, you need to explain in a comment before
       the URL how exactly you created the tarball (include the git commit/tag
       from which it was created)

  OK - No hardcoded pathnames
  OK - Package owns all the files it installs
  OK - 'Requires' create needed unowned directories
  OK - Package builds successfully on i386 and x86_64 (mock)
  OK - BuildRequires sufficient
  OK - File permissions set properly
  OK - Macro usage is consistent
  OK - rpmlint is silent
  OK - Proper debuginfo packages

Please fix the two nits above
Comment 4 Arjun Roy 2009-07-16 11:44:51 EDT
(In reply to comment #3)

>   FIX- BuildRoot value (one of the recommended values)
>        See https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

Buildroot changed to %{_tmppath}/%{name}-%{version}-%{release}-root.

>   FIX- Source md5sum matches upstream
>        No upstream release - consider setting up a simple webpage and a
>        tarball (e.g., on fedorahosted); at the very minimum, tag the release
>        in git. Once you have that URL should point to that released tarball,
>        not git. If you don't do that, you need to explain in a comment before
>        the URL how exactly you created the tarball (include the git commit/tag
>        from which it was created)

Project URL updated to: http://arjunroy.fedorapeople.org/matahari/index.html
Site contains link to git, and current rpm files and source tarball.

Resubmitting with fixes for consideration:

SRPM: http://arjunroy.fedorapeople.org/matahari/matahari-0.0.4-4.fc11.src.rpm
Specfile: http://arjunroy.fedorapeople.org/matahari/matahari.spec
Comment 5 David Lutterkort 2009-07-16 21:52:26 EDT
Great - one thing I missed yesterday is that Source: should be a URL pointing to the where the tarball for the release can be downloaded, and ideally those tarballs are kept around for a while. Please add that before adding this package to CVS.

APPROVED

Please follow http://fedoraproject.org/wiki/CVSAdminProcedure and import
the package. Close this bug as RAWHIDE once it's been successfully imported
and built.
Comment 6 Itamar Reis Peixoto 2009-07-20 12:20:22 EDT
*** Bug 512748 has been marked as a duplicate of this bug. ***
Comment 7 Arjun Roy 2009-07-20 13:58:03 EDT
New Package CVS Request
=======================
Package Name: matahari
Short Description: host qmf agent used by ovirt
Owners: arjunroy
Branches: F-11 F-12
InitialCC:
Comment 8 Jason Tibbitts 2009-07-21 11:19:57 EDT
As mentioned in the other ticket, it is too early to request F-12 branches.

Otherwise, CVS done.
Comment 9 Arjun Roy 2009-07-22 11:21:17 EDT
Package built in CVS for F11 and devel (F12).

devel:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1492245

F11:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1492292

Closing bug as rawhide.
Comment 10 Fedora Update System 2009-07-22 11:40:27 EDT
matahari-0.0.4-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/matahari-0.0.4-4.fc11
Comment 11 Fedora Update System 2009-10-13 21:52:58 EDT
matahari-0.0.4-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.